package com.ebaiyihui.family.doctor.server.common.enums;

import org.apache.commons.lang.StringUtils;

/**
 * @ClassName: ReportTypeEnum
 * @Author:yanliang
 * @Date:2024/3/27 15:10
 * @Description
 */

public enum ReportTypeEnum {

    // 报告类型，1检查检验， 2就诊病历
    INSPECTION("检查检验", 1),

    CONSULTATION("就诊病历", 2);

    private String desc;
    private Integer value;

    private ReportTypeEnum(String desc, Integer value) {
        this.desc = desc;
        this.value = value;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public Integer getValue() {
        return value;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public static String getDesc(Integer value) {
        if (value == null || value < 0) {
            return null;
        }
        for (ReportTypeEnum reportTypeEnum : ReportTypeEnum.values()) {
            if (value.equals(reportTypeEnum.getValue())) {
                return reportTypeEnum.getDesc();
            }
        }
        return null;
    }

    public static Integer getValue(String desc) {
        if (StringUtils.isBlank(desc)) {
            return null;
        }
        for (ReportTypeEnum reportTypeEnum : ReportTypeEnum.values()) {
            if (reportTypeEnum.getDesc().equals(desc)) {
                return reportTypeEnum.getValue();
            }
        }
        return null;
    }
}
